%!TEX root=../../../thesis.tex
%!TEX file=content/spatial-dynamics/natural-frequencies/lagrange.tex

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\subsection{Lagrange Polynomial}

%% Lagrange with varying degree
\begin{figure}[tbp]
  \centering
  \smaller[1]
  \tikzexternalenable%
  \tikzsetnextfilename{cosserat-rod--lagrange--natural-frequencies--tension-free}
  \includegraphics[%
      % width=\linewidth,%
    ]{cosserat-rod/lagrange/natural-frequencies/tension-free}
  \tikzexternaldisable%
  \caption{%
    Natural frequencies of the Lagrange polynomial cable with polynomial {degree {$\polydeg \in \numset{3;4;12;20}$}} compared to natural frequencies of the tension-free beam.%
  }
  \label{fig:cable-dynamics:rayleigh-ritz:numerical-evaluation:natural-frequencies:lagrange:varying-polynomial-degree}
\end{figure}

Similar to the \beziercurves, Lagrange polynomials also only have one \gls{DOF} given through the polynomial degree.
We observe similar over estimation of higher-order natural frequencies lying in the same range as with the \beziercurves~(see~\cref{fig:cable-dynamics:rayleigh-ritz:numerical-evaluation:natural-frequencies:lagrange:varying-polynomial-degree}).
Interestingly though, the lower frequencies have a larger relative difference to the simply-supported beam natural frequencies when compared to the \beziercurve.
Since the \beziercurve is being evaluated using the numerically more stable recursive Cox-de-Boor algorithm, its evaluation performs better and as such numerical values smaller than the machine tolerance can be achieved\footnote{Only with floating point numbers in the IEEE Standard 754 for double precision on \SI{64}{\bit} systems.}.
In fact, comparing Lagrange polynomial and the recursive \beziercurve formulation, we can see the same linear interpolation behavior on either side.
As such, it is no surprise that both bases functions behave similarly good for low-order natural frequencies and similarly bad for higher-order natural frequencies.

\begin{figure}[tbp]
  \centering
  \smaller[1]
  \tikzexternalenable%
  \tikzsetnextfilename{cosserat-rod--lagrange--natural-frequencies--varying-tension}
  \includegraphics[%
      % width=\linewidth,%
    ]{cosserat-rod/lagrange/natural-frequencies/varying-tension}
  \tikzexternaldisable%
  \caption{%
    Natural frequencies of the Lagrange cable with global polynomial degree~$\polydeg = 20$ compared to natural frequencies of the axially loaded beam with tensions in~$\tension_{\ms{ax}} \in \SIset{0;100;1500;3000}{\newton}$.%
  }
  \label{fig:cable-dynamics:rayleigh-ritz:numerical-evaluation:natural-frequencies:lagrange:varying-beam-tension}
\end{figure}

Fixing the polynomial degree to~$\polydeg = 12$, we evaluate approximation of the natural frequencies of the axially preloaded beam to identify range of validity in terms of the cable tension.
\cref{fig:cable-dynamics:rayleigh-ritz:numerical-evaluation:natural-frequencies:lagrange:varying-beam-tension} shows convergence of the error in natural frequencies as the axial stress increases from~$\tension_{\ms{ax}} = \SI{0}{\newton}$ up to~$\tension_{\ms{ax}} = \SI{3000}{\newton}$.
Even for high axial stress, the approximation is bounded and never crosses the 
threshold of~$1$ representing a relative error of~$\SI{100}{\percent}$.
In fact, the first~$15$ natural frequencies are approximated with absolute percentage errors of less than~$\SI{5}{\percent}$.
However, the error in higher-order natural frequencies rapidly increases for the~$\nth{16}$ and further natural frequencies.
Lower-order natural frequencies are underestimated by the cable model a maximum of~$\SI{-3}{\percent}$ for mode~$11$.
